<?
/*
   KISGB - a Guest Book script written in PHP.
   Copyright (C) 2001 Gaylen Fraley
   gfraley5@earthlink.net

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   License file for more details.
*/
function whoami () {
	global $myIP; global $rmt_ip;
	if ($myIP=="*") return true;
	$ips = explode(",",$myIP);
	for ($i=0;$i<count($ips);$i++) {
		if ($ips[$i]==$rmt_ip||$ips[$i]=="*") return true;
	}
	return false;
}

function check_php_version() {
	// check if version is above 4.0.n 
	if (ereg( "[4-9]\.[0-9]\.[0-9].*", phpversion() ));
	else {echo "<html><body><form method=post><table border=1 width=\"75%\" align=center><tr><td align=center>This version of KISGB requires PHP version 4.0.x or higher.<br><br>It appears that you do not have the required version.<br><br>KISGB cannot continue.  Sorry!</td></tr></table></form>";
	exit();}
}

function makeLink($msg) {
	global $id;
	global $Vwindow_url_color1;
	global $Vwindow_url_color2;
	if (strtolower($id)=="td1") $url_color = $Vwindow_url_color1;
	else $url_color = $Vwindow_url_color2;
	// this next line forces a space in the event someone enters just a url and no space after.
	$msg = $msg." ";
	$chkit = explode(" ",$msg);
	for ($i=0;$i<count($chkit);$i++) {
		if (eregi("([[:alnum:]]+)://([^[:space:]]*)([[:alnum:]#?/&=])",$chkit[$i])) {
			//  do not convert any text that already has href and *:// in it
			if (strpos($chkit[$i],"href="));
			elseif (!strpos($chkit[$i],"href=")&&!strpos($chkit[$i],"http://")) {
				$chkit[$i] = eregi_replace("([[:alnum:]]+)://([^[:space:]]*)([[:alnum:]#?/&=])","<a href=\"\\1://\\2\\3\" target=\"_blank\"><span style=\"color:$url_color;\">\\1://\\2\\3</span></a>", $chkit[$i]);
			}
			elseif (strpos($chkit[$i],"href=")===FALSE&&strpos($chkit[$i],"http://")) {
				$chkit[$i] = eregi_replace("([[:alnum:]]+)://([^[:space:]]*)([[:alnum:]#?/&=])","<a href=\"\\1://\\2\\3\" target=\"_blank\"><span style=\"color:$url_color;\">\\1://\\2\\3</span></a>", $chkit[$i]);
			}
		}
	}
	$msg = implode(" ",$chkit);
	$msg = " ".$msg; /* Needed to force recognition of hyperlinks in preg_replace routine when link starts at beginning of comment. All the routines here can easily step on each other, so some tricks are required to keep a delicate balance.  Modify with caution! */
	//  convert any text that already has ftp. in it.
	$msg = preg_replace("/[ |\n](ftp\.[^ ]*\.[^ ]*) /i"," <a href='ftp://\\1'><span style=\"color:$url_color;\">\\1</span></a> ",$msg);	
	//  convert any text that already has www. in it, but not ftp
	$msg = preg_replace("/[ |\n](www\.[^ ]*\.[^ ]*) /i"," <a href='http://\\1'><span style=\"color:$url_color;\">\\1</span></a> ",$msg);
	$msg = eregi_replace("</a> />","</a>",$msg); // for some unknown reason, an extra /> tag is being inserted.
	$msg = eregi_replace("<br />","<br>",$msg);
	$msg = eregi_replace("</a>>","</a>",$msg);
	return $msg;
}
?>
